package com.ycwl.basic.storage.tests;

import com.ycwl.basic.storage.StorageFactory;
import com.ycwl.basic.storage.enums.StorageType;

public class TestInitializationSpeed {
    public static void main(String[] args) {
        int i = 0;
        long currentTimestamp = System.currentTimeMillis();
        System.out.println("开始测试");
        while (i++ < 100000000) {
//            IStorageAdapter adapter = new AliOssAdapter();
            StorageFactory.get(StorageType.ALI_OSS);
        }
        System.out.println("结束测试，耗时：" + (System.currentTimeMillis() - currentTimestamp) + "ms");
    }
}
